Skip to content

Retrieve a section

Request

You can fetch the details of a single section by making a GET request to https://api.intercom.io/help_center/sections/<id>.

Security
bearerAuth
Path
idintegerrequired

The unique identifier for the section which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/help_center/sections/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Section found

Bodyapplication/json
typestring

The type of object - section.

Default:"section"
Value:"section"
Example:"section"
idstring

The unique identifier for the section which is given by Intercom.

Example:"6871119"
workspace_idstring

The id of the workspace which the section belongs to.

Example:"hfi1bx4l"
namestring

The name of the section. For multilingual sections, this will be the name of the default language's content.

Example:"Default language name"
created_atinteger, (date-time)

The time when the section was created. For multilingual sections, this will be the timestamp of creation of the default language's content.

Example:1672928359
updated_atinteger, (date-time)

The time when the section was last updated. For multilingual sections, this will be the timestamp of last update of the default language's content.

Example:1672928610
urlstring or null

The URL of the section. For multilingual help centers, this will be the URL of the section for the default language.

Example:"http://intercom.test/help/section/name"
iconstring or null

The icon of the section.

Example:"book-bookmark"
orderinteger

The order of the section in relation to others sections within a collection. Values go from 0 upwards. 0 is the default if there's no order.

Example:"1"
parent_idInteger (integer) or String (string)
Example:6871119
One of:

The id of the parent section.

integer(Integer)
default_localestring

The default locale of the help center. This field is only returned for multilingual help centers.

Example:"en"
translated_contentobject or null(Group Translated Content)

The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.

Response
{ "id": "200", "workspace_id": "this_is_an_id109_that_should_be_at_least_", "name": "English section title", "url": "http://help-center.test/myapp-109/section-19", "order": 19, "created_at": 1717021365, "updated_at": 1717021365, "type": "section", "parent_id": 199 }